<bugID>881120<Summary>Allow clients to specify nodes that shouldn't be released</Summary><Description>Created attachment 760258
v1

Clients need to be able to specify interest in a remote node, so that it isn't cleaned up during normal cleanup routines.

Specifically, we need this for markup view's Undo feature when deleting, that keeps around a reference to a detached node in case of undo.</Description></bugID>